Welcome!

The kernel problem with recent updates has been solved. Find the solution here

Important information
-- Required MX 15/16 Repository Changes
-- Information on torrent hosting changes
-- Information on MX15/16 GPG Keys
-- Spectre and Meltdown vulnerabilities

News
-- Introducing our new Website
-- MX Linux on social media: here

Current releases
-- MX-18.3 Point Release release info here
-- Migration Information to MX-18 here
-- antiX-17.4.1 release info here

New users
-- Please read this first, and don't forget to add system and hardware information to posts!
-- Here are the Forum Rules

Handbrake Upgrade Problem - Solved

Post Reply
User avatar
smilliken
Forum Guide
Forum Guide
Posts: 2177
Joined: Tue Feb 06, 2007 11:47 pm

Handbrake Upgrade Problem - Solved

#1

Post by smilliken » Thu Jan 10, 2019 8:15 pm

This error I've received on a couple of computers with the recent upgrades. Do I need to remove something?

Code: Select all

E: /var/cache/apt/archives/handbrake_1%3a1.2.0+ds1-1~mx17+2_amd64.deb: trying to overwrite '/usr/bin/ghb', which is also in package handbrake-gtk 1:1.1.2+ds1-0.1~mx17+1
Checked the forum and the net with no help.
Last edited by smilliken on Thu Jan 10, 2019 11:39 pm, edited 1 time in total.
There is no "Ctrl+Z" in life!
Panasonic Toughpad FZ-G1 - MX-18
Acer 7551G MX-18 & Win 10
HP DV4-1118 Mx18 & Win 10
HP CP1215/Brother DCP-7065DN
Linux User# 4523410

User avatar
timkb4cq
Forum Veteran
Forum Veteran
Posts: 5121
Joined: Wed Jul 12, 2006 4:05 pm

Re: Handbrake Upgrade Problem

#2

Post by timkb4cq » Thu Jan 10, 2019 8:27 pm

You must have the Test repo enabled if you're seeing that as an update.

Yes, the older version had a separate handbrake-gtk package as well as the handbrake one. The newer version does not so you have to remove handbrake-gtk in order to upgrade handbrake.

Stevo needs to adjust the dependencies in the new version to let that happen automatically.

Thanks for the report.
MSI 970A-G43 MB, AMD FX-6300 (six core), 16GB RAM, GeForce 730, Samsung 850 EVO 250GB SSD, Seagate Barracuda XT 3TB

User avatar
smilliken
Forum Guide
Forum Guide
Posts: 2177
Joined: Tue Feb 06, 2007 11:47 pm

Re: Handbrake Upgrade Problem

#3

Post by smilliken » Thu Jan 10, 2019 8:42 pm

Thanks Tim. I'll adjust that repo.
There is no "Ctrl+Z" in life!
Panasonic Toughpad FZ-G1 - MX-18
Acer 7551G MX-18 & Win 10
HP DV4-1118 Mx18 & Win 10
HP CP1215/Brother DCP-7065DN
Linux User# 4523410

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 19864
Joined: Fri Dec 15, 2006 8:07 pm

Re: Handbrake Upgrade Problem

#4

Post by Stevo » Thu Jan 10, 2019 9:41 pm

Another legacy of porting in a deb-multimedia version. :frown: I'll see if I can fix that.

But we don't have any handbrake-gtk packages in the repo any longer to test the upgrade...

User avatar
timkb4cq
Forum Veteran
Forum Veteran
Posts: 5121
Joined: Wed Jul 12, 2006 4:05 pm

Re: Handbrake Upgrade Problem

#5

Post by timkb4cq » Thu Jan 10, 2019 11:02 pm

I keep copies of most packages. just in case.
http://mxrepo.com/misc/handbrake-1.1.2.zip
MSI 970A-G43 MB, AMD FX-6300 (six core), 16GB RAM, GeForce 730, Samsung 850 EVO 250GB SSD, Seagate Barracuda XT 3TB

User avatar
smilliken
Forum Guide
Forum Guide
Posts: 2177
Joined: Tue Feb 06, 2007 11:47 pm

Re: Handbrake Upgrade Problem

#6

Post by smilliken » Thu Jan 10, 2019 11:36 pm

Yup that worked.

Thanks
There is no "Ctrl+Z" in life!
Panasonic Toughpad FZ-G1 - MX-18
Acer 7551G MX-18 & Win 10
HP DV4-1118 Mx18 & Win 10
HP CP1215/Brother DCP-7065DN
Linux User# 4523410

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 19864
Joined: Fri Dec 15, 2006 8:07 pm

Re: Handbrake Upgrade Problem

#7

Post by Stevo » Thu Jan 10, 2019 11:38 pm

Yes, upgrade from 1.12 to 1.2.0 now goes smoothly with the new mx17+3 build.

Post Reply

Return to “Software / Configuration”